
Redmine - Defect #10438

MethodError: undefined method `generate!' for #<Class:0xb688ac14>

2012-03-13 12:43 - jan yu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

fail in unit test,many test fail are the same question,how can i fix it?

detail :

Error:

test_ciphered_password_with_no_cipher_key_configured_should_be_returned_ciphered(Redmine::CipheringTest):

NoMethodError: undefined method `generate!' for #<Class:0xb688ac14>

test/unit/lib/redmine/ciphering_test.rb:67:in `test_ciphered_password_with_no_cipher_key_configured_should_be_returned_ciphered'

lib/redmine/configuration.rb:75:in `with'

test/unit/lib/redmine/ciphering_test.rb:66:in `test_ciphered_password_with_no_cipher_key_configured_should_be_returned_ciphered'

History

#1 - 2012-03-13 23:47 - Toshi MARUYAMA

- Status changed from New to Closed

In 1.3-stable, you need to install edavis10-object_daddy.

In trunk, edavis10-object_daddy is defined at Gemfile.

source:trunk/Gemfile@8908#L71

#2 - 2012-03-14 03:15 - jan yu

- Status changed from Closed to Reopened

hi,i had install edavis10-object_daddy,maybe some plugin cause this error,when i remove all  unofficial plugin,the units test are pass,how can i fixed

it.here is my plugin init.rb:

require 'redmine'

require "hooks/issue_extention_hooks" 

require "hooks/my_extention_hooks" 

require "hooks/project_extention_hooks" 

require "issue_fixed_version_require" 

require "hooks/context_menu_hooks" 

require "paths/watchers_controller_patch" 

require "paths/account_controller_patch" 

require "regist_custom_field" 

require "init/init_custom_field" 

require "tasks/svn_reveive_process" 

Dispatcher.to_prepare :redmine_issue_extention do

  unless WatchersController.included_modules.include? WatchersControllerPatch

    WatchersController.send(:include, WatchersControllerPatch)

  end

  unless AccountController.included_modules.include? AccountControllerPatch

    AccountController.send(:include, AccountControllerPatch)

  end

end

unless Redmine::Plugin.registered_plugins.keys.include?(:redmine_extention)

  Redmine::Plugin.register :redmine_extention do

    name 'plugin'

    author 'jan'

    description ''

    version '0.0.1'
    url ''

    author_url ''

  end

end

Redmine::AccessControl.permissions.each do |permission|

  next unless permission.name==:edit_issues

  permission.actions << "#{:pop_query}/#{:pop}" 

end

#ActionController::Routing::Routes.add_route('projects/:project_id/pop_query', :controller => 'issues', :actio

n => 'pop_query')

#ActionController::Routing::Routes.draw do |map|

#  map.connect 'projects/:project_id/pop_query', :controller => 'issues', :action => 'pop_query'

#end

 is that error?

thx

#3 - 2012-03-14 05:15 - Toshi MARUYAMA

- Status changed from Reopened to Closed

- Resolution set to Invalid

This is Redmine issue tracker.

Please post to forum.
